MEINPROC5(1)

NOM
meinproc5 - Traductor KDE per a XML

SINOPSI

meinproc5 [-h, --help] [-v, --version] [--cache fitxer] [--check] [--srcdir dir] [--param clau=valor] [[[-o] | [--output]] fitxer] [--stdout] [--stylesheet xsl] fitxer_docbook

DESCRIPCIÓ

meinproc5 convertix fitxers en DocBook a HTML.

OPCIONS GENÈRIQUES

-h--help
    Mostra ajuda quant a les opcions.

-v--version
    Mostra la informació sobre la versió.

OPCIONS DE LAPLICACIÓ

--cache fitxer
    Crea un fitxer de cau per al document.

--check
    Comprova la validesa del document.

        L'eixida pot ser una mica intimidatòria, ja que una xicoteta equivocació pot causar una cascada d'errors.
        El truc és mirar en el primer error, corregir-lo, guardeu el fitxer, i executeu meinproc5 de nou.

-o, --output fitxer
    Envia tot el document cap a un fitxer.

--stdout
    Envia tot el document cap a stdout.

--stylesheet xsl
    Full d'estil que s'utilitzarà.

--srcdir dir
    Establix el directori arrel per a la busca de les kdoctools.

--param clau=valor
    Establix els paràmetres que es passaran al full d'estil.

ÚS

La manera més habitual d'executar meinproc5 és senzillament com

    meinproc5 fitxer-docbook

a on fitxer-docbook generalment serà index.docbook. Esta ordre crea pàgines HTML del fitxer en DocBook. Cal tindre en compte que estes pàgines només són visibles en els navegadors basats en KDE (com Konqueror).

Si necessiteu veure l'eixida HTML en un altre navegador (per exemple, si el feu disponible en línia), utilitzeu

    meinproc5 --stylesheet nom-full-estil fitxer-docbook

a on nom-full-estil serà el camí complet cap a un dels fulls d'estil XSL en <prefix_instal⋅lació_kdoctools>/share/kf5/kdoctools/customization/. Per a generar una eixida adequada per a la web, podeu utilitzar kde-web.xsl o kde-chunk-online.xsl. Per a més detalls, vegeu el fitxer README en esta carpeta.

VEGEU TAMBÉ

kf5options(7), qt5options(7)

ERRORS

Utilitzeu el Seguidor d'errors de KDE[1] (escriviu-hi en anglés) per a informar dels errors.

NOTES

1.  Seguidor d'errors de KDE
    https://bugs.kde.org